package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.ExamSongTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_exam_song):
 */
public class SysExamSong {

	/**  */
	private Integer id;

	@ApiModelProperty(value = "名称", required = true)
	private String name;
	
	@ApiModelProperty(value = "类型PERSON 个人,COMMON公用", required = true)
	private ExamSongTypeEnum type;
	
	@ApiModelProperty(value = "声部列表", required = true)
	private String subjectIds;

	@ApiModelProperty(value = "声部列表", required = true)
	private String subjectNames;
	
	@ApiModelProperty(value = "速度", required = true)
	private Integer speed;
	
	@ApiModelProperty(value = "地址", required = true)
	private String url;
	
	@ApiModelProperty(value = "上传人", required = true)
	private Integer createUserId;

	@ApiModelProperty(value = "上传人", required = true)
	private String createUserName;
	
	@ApiModelProperty(value = "是否删除1是0否", required = true)
	private Integer delFlag;
	
	/**  */
	private java.util.Date updateTime;
	
	/**  */
	private java.util.Date createTime;

	public String getSubjectNames() {
		return subjectNames;
	}

	public void setSubjectNames(String subjectNames) {
		this.subjectNames = subjectNames;
	}

	public String getCreateUserName() {
		return createUserName;
	}

	public void setCreateUserName(String createUserName) {
		this.createUserName = createUserName;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setType(ExamSongTypeEnum type){
		this.type = type;
	}
	
	public ExamSongTypeEnum getType(){
		return this.type;
	}
			
	public void setSubjectIds(String subjectIds){
		this.subjectIds = subjectIds;
	}
	
	public String getSubjectIds(){
		return this.subjectIds;
	}
			
	public void setSpeed(Integer speed){
		this.speed = speed;
	}
	
	public Integer getSpeed(){
		return this.speed;
	}
			
	public void setUrl(String url){
		this.url = url;
	}
	
	public String getUrl(){
		return this.url;
	}
			
	public void setCreateUserId(Integer createUserId){
		this.createUserId = createUserId;
	}
	
	public Integer getCreateUserId(){
		return this.createUserId;
	}
			
	public void setDelFlag(Integer delFlag){
		this.delFlag = delFlag;
	}
	
	public Integer getDelFlag(){
		return this.delFlag;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
